Name:           luke
Version:        0.6
Release:        1jpp
Epoch:          0
Summary:        Development and diagnostic tool for Lucene indexes

Group:          Internet/WWW/Indexing/Search
License:        Apache Software License
URL:            http://www.getopt.org/luke/
Source0:        http://www.getopt.org/luke/luke-0.6/luke.zip
Source1:        %{name}.sh
Source2:        %{name}.desktop
# Converted from src/img/luke.gif
Source3:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  ant
BuildRequires:  jpackage-utils
BuildRequires:  rhino
BuildRequires:  %{__perl}
Requires:       rhino
Requires:       jpackage-utils

%description
Luke is a handy development and diagnostic tool which accesses already
existing Lucene indexes and allows you to display and modify their
contents in several ways: browse by document number or by term, view
documents / copy to clipboard,retrieve a ranked list of most frequent
terms, execute a search and browse the results, analyze search
results, selectively delete documents from the index, reconstruct the
original document fields, edit them and re-insert to the index,
optimize indexes, and much more.  It also extensible through plugins
and scripting.


%prep
%setup -q -c
%{__perl} -pi -e 's/"netscape"/"mozilla"/' \
  src/org/getopt/luke/BrowserLauncher.java
rm lib/js.jar # TODO: use more jpp jars when available


%build
CLASSPATH=$(build-classpath rhino) ant jar


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 build/lukeall-0.6.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/luke
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}.desktop
install -Dpm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/luke.png


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/luke
%{_javadir}/%{name}*.jar
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/luke.png


%changelog
* Wed Jun 15 2005 Ville Skyttä <scop at jpackage.org> - 0:0.6-1jpp
- First build.
